{
  "$schema": "https://docs.renovatebot.com/renovate-schema.json",
  "extends": ["config:recommended"],
  "schedule": ["* * 1-7 * *"],
  "packageRules": [
    {
      "groupName": "Mix dependencies",
      "matchCategories": "elixir"
    },
    {
      "groupName": "asdf tool versions",
      "matchFileNames": [".tool-versions"]
    },
    {
      "groupName": "postgres",
      "description": "Group updates to postgres across drone ci, docker-compose.yml and other files",
      "matchPackageNames": ["postgres", "docker.io/library/postgres"],
      "matchDatasources": ["docker"]
    },
    {
      "description": "Disable elixir updates, as renovate does not work with their <version>-otp-<version> numbering scheme.",
      "matchCurrentValue": "**-otp-**",
      "enabled": false
    },
    {
      "description": "Disable erlang updates as they need to be coordinated with elixir updates.",
      "matchDepNames": "erlang",
      "enabled": false
    }
  ]
}
